Subject: [Ohai] Fwd: New Version Notification for draft-schwartz-ohai-consistency-doublecheck-00.txt

From: Ben Schwartz <[email-masked]>
Date: Thu, 7 Apr 2022 17:25:59 -0400

Hi OHAI,

In the last session, we had some discussion about the relationship between
key consistency and key discovery.  I argued that it is natural to combine
them, and I've written a draft exploring how that could work.  In brief, it
relies on the Oblivious Proxy also being a MASQUE server, so that the
client can fetch the KeyConfig from both the proxy (providing consistency)
and the origin (providing authenticity).

This approach relies on a small JSON format for conveying KeyConfigs and
URI templates, which is shared with MASQUE and defined in
https://datatracker.ietf.org/doc/html/draft-schwartz-masque-access-descriptions-00
.

Thoughts appreciated,
Ben Schwartz

---------- Forwarded message ---------
From: <[email-masked]>
Date: Thu, Apr 7, 2022 at 5:16 PM
Subject: New Version Notification for
draft-schwartz-ohai-consistency-doublecheck-00.txt
To: Benjamin M. Schwartz <[email-masked]>

A new version of I-D, draft-schwartz-ohai-consistency-doublecheck-00.txt
has been successfully submitted by Benjamin Schwartz and posted to the
IETF repository.

Name:           draft-schwartz-ohai-consistency-doublecheck
Revision:       00
Title:          Key Consistency for Oblivious HTTP by Double-Checking
Document date:  2022-04-07
Group:          Individual Submission
Pages:          12
URL:
https://www.ietf.org/archive/id/draft-schwartz-ohai-consistency-doublecheck-00.txt
Status:
https://datatracker.ietf.org/doc/draft-schwartz-ohai-consistency-doublecheck/
Html:
https://www.ietf.org/archive/id/draft-schwartz-ohai-consistency-doublecheck-00.html
Htmlized:
https://datatracker.ietf.org/doc/html/draft-schwartz-ohai-consistency-doublecheck

Abstract:
   The assurances provided by Oblivious HTTP depend on the client's
   ability to verify that it is using the same Request Resource and
   KeyConfig as many other users.  This specification defines a protocol
   to enable this verification.

The IETF Secretariat